> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Create Project

POST https://api.sayari.com/v1/projects
Content-Type: application/json

Create a new project.

Reference: https://documentation.sayari.com/api/api-reference/project/create-project

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Body (application/json)

This endpoint expects a CreateProjectRequest.

- `label` (string, required)
- `type` (enum, optional) — Specifies which type of project to create. Defaults to 'network'
  - Allowed values: `network`, `supply_chain`
- `share` (ProjectShareOnCreate, optional) — Specifies access levels available to users in a project within an organization. For comprehensive access, the admin role is recommended.

## Response

### 200

- `data` (Project, required)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 404 Not Found

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### ProjectShareOnCreate

- `org` (enum, required) — Role enum describes the access levels a user has to a project and its contents.
  - Allowed values: `viewer`, `editor`, `admin`

### Project

- `id` (string, required) — Unique project identifier.
- `label` (string, required) — Most recently set name for the project.
- `archived` (boolean, required) — Whether the project is archived. Archival is a soft delete.
- `created` (string, required)
- `updated` (string, required)
- `counts` (ProjectCounts, required)
- `type` (enum, required)
  - Allowed values: `network`, `supply_chain`
- `is_scrm` (boolean, optional) — **Deprecated.** Use `type == 'supply_chain'` instead.

### ProjectCounts

- `entity` (integer, optional) — The number of entities in the project.
- `graph` (integer, optional)
- `search` (integer, optional)
- `record` (integer, optional)

## Examples

**Request**

```json
{
  "label": "My First Project",
  "type": "network",
  "share": {
    "org": "admin"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "0pjjaB",
    "label": "My First Project",
    "archived": false,
    "created": "2025-08-26 03:17:58.70405+00",
    "updated": "2025-08-26 03:17:58.70405+00",
    "counts": {
      "entity": 0,
      "graph": 0,
      "search": 0,
      "record": 0
    },
    "type": "network",
    "is_scrm": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/projects"

payload = {
    "label": "My First Project",
    "type": "network",
    "share": { "org": "admin" }
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```typescript
import { SayariClient } from "sayari";

const sayari = new SayariClient({ clientId: "YOUR_CLIENT_ID", clientSecret: "YOUR_CLIENT_SECRET" });
await sayari.project.createProject({
    label: "Project Alpha"
});

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/projects"

	payload := strings.NewReader("{\n  \"label\": \"My First Project\",\n  \"type\": \"network\",\n  \"share\": {\n    \"org\": \"admin\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"label\": \"My First Project\",\n  \"type\": \"network\",\n  \"share\": {\n    \"org\": \"admin\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sayari.com/v1/projects")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"label\": \"My First Project\",\n  \"type\": \"network\",\n  \"share\": {\n    \"org\": \"admin\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sayari.com/v1/projects', [
  'body' => '{
  "label": "My First Project",
  "type": "network",
  "share": {
    "org": "admin"
  }
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"label\": \"My First Project\",\n  \"type\": \"network\",\n  \"share\": {\n    \"org\": \"admin\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "label": "My First Project",
  "type": "network",
  "share": ["org": "admin"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```